glab(1)

NAME
glab-release-delete - Delete a GitLab release.

SYNOPSIS
glab release delete [flags]

DESCRIPTION
Delete release assets to GitLab release. Requires the Maintainer role or higher.

Deleting a release does not delete the associated tag, unless you specify --with-tag.

OPTIONS
-t, --with-tag[=false]
    Delete the associated tag.

-y, --yes[=false]
    Skip the confirmation prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Delete a release (with a confirmation prompt)
    $ glab release delete v1.1.0
    # Skip the confirmation prompt and force delete
    $ glab release delete v1.0.1 -y
    # Delete release and associated tag
    $ glab release delete v1.0.1 --with-tag

SEE ALSO
glab-release(1)